#include <pgapplication.h>
#include <pglog.h>

#include "anim.h"

#include <iostream>

Anim::Anim(PG_Widget* parent, PG_Rect r) : PG_ThemeWidget(parent, r) 
{
	my_color.r = 200;
	my_color.g = 50;
	my_color.b = 10;
	tickstate = 0;
}

Anim::~Anim(){}


// implementation of the draw event
// (fills the widget with some nice gfx)
void Anim::eventBlit(SDL_Surface* surface, const PG_Rect& src, const PG_Rect& dst) 
{
	PG_LogDBG("blit");

	SDL_FillRect(PG_Application::GetScreen(), (SDL_Rect*)&dst, 0);
	
	if (tickstate==0) {
		DrawLine(0, 0, my_width-1, my_height-1, my_color, 1 );
		DrawLine(my_width-1, 0, 0, my_height-1, my_color, 1 );
		tickstate = 1;
	}
	else if (tickstate == 1) {
		DrawHLine(0, my_height/2, my_width-1, my_color);
		tickstate = 0;
	}
}

Uint32 Anim::eventTimer(PG_TimerObject::ID id, Uint32 interval) {
	PG_LogDBG("eventTimer(%i, %i)", id, interval);
	Redraw();
//	Update(false);
	PG_TimerObject::eventTimer(id, interval);
	return interval;
}


