#include "window.h"
#include <pgcolors.h>
#include <pgapplication.h>

#include <iostream>

/*
 *		Generic window with standard buttons,
 *		derive this class to create your own stuff
 *		(c) Matias henttunen 2005
 *
 */

bool Window::cancelSlot(PG_Button *b)
{
	std::cout << "back\n";
	delete this;
	return true;
}

bool Window::okSlot(PG_Button *b)
{
	std::cout << "ok\n";
	return true;
}


Window::Window(PG_Widget* parent, const PG_Rect& r, char* windowtext) :
PG_Window(parent, r, windowtext, DEFAULT)	
{
	int yPos=r.Width()/5;
	int xPos=r.Height()/20;
	int ywidth=45*2;                        /*button width, heigth */
	int xwidth=180;

	okButton       = new PG_Button(this,  PG_Rect(xPos/14, yPos-60, 110, 40), "Ok");
	cancelButton   = new PG_Button(this,  PG_Rect(xPos/14, yPos-20, 110, 40), "Cancel");

	AddChild( okButton );
	AddChild( cancelButton );
	okButton->sigClick.connect( slot(*this, &Window::okSlot) );
	cancelButton->sigClick.connect( slot(*this, &Window::cancelSlot) );

	std::cout << "up\n";
}

Window::~Window() 
{
	std::cout << "Deleted window\n";
}

